Bug 43194 - "Debug Test" is not showing up context menu when right clicking test in Unit Test Pad
Summary: "Debug Test" is not showing up context menu when right clicking test in Unit ...
Status: VERIFIED FIXED
Alias: None
Product: Xamarin Studio
Classification: Desktop
Component: NUnit (show other bugs)
Version: 6.1.0 (C8)
Hardware: PC Mac OS
: Normal normal
Target Milestone: (C8)
Assignee: Matt Ward
URL:
Depends on:
Blocks:
 
Reported: 2016-08-09 14:35 UTC by Manish Sinha
Modified: 2016-08-12 18:01 UTC (History)
5 users (show)

See Also:
Tags:
Is this bug a regression?: Yes
Last known good build: XS 6.0.2


Attachments

Description Manish Sinha 2016-08-09 14:35:00 UTC
Steps to reproduce

1. Open XS
2. Create Unit Test project
3. Build
4. Right click on test in Unit Test Pad

Expected: "Debug Test" should show under "Run Test"
Actual: "Debug Test" is missing

Screenshot: https://www.evernote.com/l/ASGzs3XFPltMLKR_JetXs-K98K27_Jvux9UB/image.png
XS Info: 

Xamarin Studio Enterprise
Version 6.1 (build 5311)
Installation UUID: 9f8d3275-c231-4976-ba77-8e684234ab4e
Runtime:
	Mono 4.6.0 (mono-4.6.0-branch/5110c09) (64-bit)
	GTK+ 2.24.23 (Raleigh theme)

	Package version: 406000128

NuGet
Version: 3.4.3.0

Xamarin.Profiler
Not Installed

Xamarin.Android
Version: 6.2.0.25 (Visual Studio Enterprise)
Android SDK: /Users/manish/Library/Developer/Xamarin/android-sdk-macosx
	Supported Android versions:
		2.3    (API level 10)
		4.0.3  (API level 15)
		4.1    (API level 16)
		4.2    (API level 17)
		4.4    (API level 19)
		4.4.87 (API level 20)
		5.0    (API level 21)
		5.1    (API level 22)
		6.0    (API level 23)

SDK Tools Version: 25.1.7
SDK Platform Tools Version: 24
SDK Build Tools Version: 24

Java SDK: /usr
java version "1.8.0_05"
Java(TM) SE Runtime Environment (build 1.8.0_05-b13)
Java HotSpot(TM) 64-Bit Server VM (build 25.5-b02, mixed mode)

Android Designer EPL code available here:
https://github.com/xamarin/AndroidDesigner.EPL

Xamarin Android Player
Not Installed

Apple Developer Tools
Xcode 7.3 (10183.3)
Build 7D175

Xamarin.iOS
Version: 9.10.0.51 (Visual Studio Enterprise)
Hash: 812051e
Branch: cycle8
Build date: 2016-08-08 11:55:31-0400

Xamarin.Mac
Version: 2.10.0.51 (Visual Studio Enterprise)

Build Information
Release ID: 601005311
Git revision: 2dac0c09ae0c7ef560754450b7c67ad951d71c8e
Build date: 2016-08-08 14:08:44-04
Xamarin addins: e23d96cb26735404bef8d35d2ac5640bdc9f3091
Build lane: monodevelop-lion-cycle8

Operating System
Mac OS X 10.11.4
Darwin Manishs-MacBook-Pro.local 15.4.0 Darwin Kernel Version 15.4.0
    Fri Feb 26 22:08:05 PST 2016
    root:xnu-3248.40.184~3/RELEASE_X86_64 x86_64

Enabled user installed addins
Gist Ide Information 1.0.2
Addin Maker 1.3.2
Manifest.addin 0.0.0.0
Comment 1 Matt Ward 2016-08-11 15:20:06 UTC
Opened a pull request with a fix for Cycle 8.

https://github.com/mono/monodevelop/pull/1597

Trello card has also been created for Cycle 8.
Comment 2 xamarin-release-manager 2016-08-11 15:46:57 UTC
Fixed in version 6.2.0.335 (master)

Author: Matt Ward
Commit: a1bbd9f9030effa8f434353f475a1af41fbdd7be (mono/monodevelop)
Comment 3 Akhilesh kumar 2016-08-11 18:29:49 UTC
I have checked this issue XS 6.2.0.335 (master) and now this issue is working fine. Now we are getting "Debug Test" on right clicking over any test in Unit Test Pad.

Screencast: http://www.screencast.com/t/KsNVFyQM

So this issue is fixed in master. 

I am closing this issue as we have a trello card to track its fix in C8 branch.
Comment 4 xamarin-release-manager 2016-08-11 18:32:21 UTC
Fixed in version 6.1.0.5335 (cycle8)

Author: Matt Ward
Commit: 6df1469d9237d572ca425f9fbc9045f444c77f3b (mono/monodevelop)
Comment 5 Akhilesh kumar 2016-08-11 19:18:35 UTC
I have checked Bug#43194 with XamarinStudio-6.1.0.5331_6df1469d9237d572ca425f9fbc9045f444c77f3b(lane 'monodevelop-lion-cycle8-debug-test-menu-not-available') and this issue is working fine.
Comment 6 Akhilesh kumar 2016-08-12 18:01:37 UTC
I have checked this issue with C8 XS build and it is also working fine.

=== Xamarin Studio Community ===

Version 6.1 (build 5338)
Installation UUID: b62b65c1-43c6-4926-bdbe-9dc0be5d059f
Runtime:
	Mono 4.6.0 (mono-4.6.0-branch/e571108) (64-bit)
	GTK+ 2.24.23 (Raleigh theme)

	Package version: 406000138

=== Build Information ===

Release ID: 601005338
Git revision: 860f5d2e358077f913badaf7b14c5532888bf12c
Build date: 2016-08-11 16:20:43-04
Xamarin addins: 8bea879bcb4de08213fff5812fd54323d79889d6
Build lane: monodevelop-lion-cycle8

=== Operating System ===

Mac OS X 10.11.6
Darwin 360-MACMINIs-Mac-mini-3.local 15.6.0 Darwin Kernel Version 15.6.0
    Thu Jun 23 18:25:34 PDT 2016
    root:xnu-3248.60.10~1/RELEASE_X86_64 x86_64

=== Enabled user installed addins ===

Gist Ide Information 1.0.2
NuGet Package Management Extensions 0.10.1

Note You need to log in before you can comment on or make changes to this bug.